    Return the data used by plot_data.

get_data_plot(id=None, recalc=True)
id - int or str, optional
recalc - bool, optional

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set that provides the data. If not given then the default identifier is used, as returned by `get_default_id` .
recalc
If False then the results from the last call to

`plot_data` (or `get_data_plot` ) are returned, otherwise the data is re-generated.

The return value from this function is:

data -- An object representing the data used to create the plot by

`plot_data` . The relationship between the returned values and the values in the data set depend on the data type. For example PHA data are plotted in units controlled by

`set_analysis` , but are stored as channels and counts, and may have been grouped and the background estimate removed.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023